| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::StatefulDBusProxy Class Reference

The StatefulDBusProxy class is a base class representing a remote object whose API is stateful. More...

`#include <TelepathyQt/StatefulDBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Tp::CallContent, Tp::CallStream, Tp::Channel, Tp::ChannelDispatchOperation, Tp::ChannelRequest, Tp::Connection, and Tp::DebugReceiver.

List of all members.

## Public Member Functions

- StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
- virtual ~StatefulDBusProxy ()

## Static Public Member Functions

- static QString uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique)
- static QString uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique, QString &error, QString &message)

## Detailed Description

The StatefulDBusProxy class is a base class representing a remote object whose API is stateful.

These objects do not remain useful if the service providing them exits or crashes, so they emit invalidated() if this happens.

Examples include the Connection and Channel classes.

## Constructor & Destructor Documentation

Tp::StatefulDBusProxy::StatefulDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | const Feature & | featureCore
| ) |  |

Construct a new StatefulDBusProxy object.

Parameters:

  dbusConnection | QDBusConnection to use.
  busName | D-Bus bus name of the service that provides the remote object.
  objectPath | The object path.
  featureCore | The object core feature.

Tp::StatefulDBusProxy::~StatefulDBusProxy | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

QString Tp::StatefulDBusProxy::uniqueNameFrom | ( | const QDBusConnection & | bus,
|  | const QString & | wellKnownOrUnique
| ) |  | `[static]`

QString Tp::StatefulDBusProxy::uniqueNameFrom | ( | const QDBusConnection & | bus,
|  | const QString & | wellKnownOrUnique,
|  | QString & | error,
|  | QString & | message
| ) |  | `[static]`